summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorDavid Seifert <soap@gentoo.org>2017-02-25 18:27:08 +0100
committerDavid Seifert <soap@gentoo.org>2017-02-25 20:18:02 +0100
commit3d418275c8a40e60d41b0839b830a9703181213d (patch)
tree82e23cc522b05792046526b440b9138ce40a1449
parentgnatbuild.eclass: Fix header. (diff)
downloadgentoo-3d418275c8a40e60d41b0839b830a9703181213d.tar.gz
gentoo-3d418275c8a40e60d41b0839b830a9703181213d.tar.bz2
gentoo-3d418275c8a40e60d41b0839b830a9703181213d.zip
sci-biology/aaindex: Modernise to EAPI 6
Package-Manager: Portage-2.3.3, Repoman-2.3.1
-rw-r--r--sci-biology/aaindex/aaindex-9.1-r1.ebuild (renamed from sci-biology/aaindex/aaindex-9.1.ebuild)26
1 files changed, 14 insertions, 12 deletions
diff --git a/sci-biology/aaindex/aaindex-9.1.ebuild b/sci-biology/aaindex/aaindex-9.1-r1.ebuild
index 52129902372..50b59535db4 100644
--- a/sci-biology/aaindex/aaindex-9.1.ebuild
+++ b/sci-biology/aaindex/aaindex-9.1-r1.ebuild
@@ -2,40 +2,42 @@
# Distributed under the terms of the GNU General Public License v2
# $Id$
+EAPI=6
+
DESCRIPTION="Amino acid indices and similarity matrices"
-LICENSE="public-domain"
-HOMEPAGE="http://www.genome.ad.jp/aaindex"
+HOMEPAGE="http://www.genome.jp/aaindex/"
SRC_URI="mirror://gentoo/${P}.tar.bz2"
+LICENSE="public-domain"
SLOT="0"
# Minimal build keeps only the indexed files (if applicable) and the
# documentation. The non-indexed database is not installed.
-IUSE="emboss minimal"
KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="emboss minimal"
DEPEND="emboss? ( sci-biology/emboss )"
-
RDEPEND="${DEPEND}"
src_compile() {
if use emboss; then
- mkdir AAINDEX
- echo
+ mkdir AAINDEX || die
+ einfo
einfo "Indexing AAindex for usage with EMBOSS."
- EMBOSS_DATA="." aaindexextract -auto -infile ${PN}1 || die \
- "Indexing AAindex failed."
- echo
+ EMBOSS_DATA="." aaindexextract -auto -infile ${PN}1 || die "Indexing AAindex failed"
+ einfo
fi
}
src_install() {
+ dodoc ${PN}.doc
+
if ! use minimal; then
insinto /usr/share/${PN}
- doins ${PN}{1,2,3} || die "Failed to install raw database."
+ doins ${PN}{1,2,3}
fi
- dodoc ${PN}.doc || die "Failed to install documentation."
+
if use emboss; then
insinto /usr/share/EMBOSS/data/AAINDEX
- doins AAINDEX/* || die "Failed to install EMBOSS data files."
+ doins -r AAINDEX/.
fi
}